pcl::visualization::PCLSimpleBufferVisualizer Class Reference
Module visualization

PCL simple buffer visualizer main class. More...

`#include <pcl/visualization/simple_buffer_visualizer.h>`

## Public Member Functions

| PCLSimpleBufferVisualizer ()
| PCL simple buffer visualizer visualizer default constructor. More...
| PCLSimpleBufferVisualizer (const int nb_values)
| PCL simple buffer visualizer visualizer constructor. More...
void | displayValues (const int time=1)
| force display of values. More...
void | addValue (const float val)
| add a new value at the end of the buffer. More...
void | spinOnce (const int time=1)
| spinOnce method. More...
void | spin ()
| spin method. More...
void | setAutomaticBackgroundColorControl (const bool value=true, const float threshold=0.0f)
| set background color handling mode. More...
void | setManuallyManageYScale (const bool value=false)
| set Y scale policy. More...

## Detailed Description

PCL simple buffer visualizer main class.

Note
  The idea is to offer a simple visualizer that stores and display the last X values as a curve.
  The class is based on PCLHistogramVisualizer and pcl::VFHSignature308 for display.
  Therefore, the number of values is limited to [2-308].

Author
  Raphael Favier

Definition at line 20 of file simple_buffer_visualizer.h.

## Constructor & Destructor Documentation

## PCLSimpleBufferVisualizer() [1/2]

pcl::visualization::PCLSimpleBufferVisualizer::PCLSimpleBufferVisualizer | ( |  | ) |

inline

PCL simple buffer visualizer visualizer default constructor.

Definition at line 24 of file simple_buffer_visualizer.h.

## PCLSimpleBufferVisualizer() [2/2]

pcl::visualization::PCLSimpleBufferVisualizer::PCLSimpleBufferVisualizer | ( | const int | nb_values | ) |

inline

PCL simple buffer visualizer visualizer constructor.

Parameters

  [in] | nb_values | the number of values stored in the buffer [2 - 308]

Definition at line 36 of file simple_buffer_visualizer.h.

## Member Function Documentation

## addValue()

void pcl::visualization::PCLSimpleBufferVisualizer::addValue | ( | const float | val | ) |

inline

add a new value at the end of the buffer.

Parameters

  [in] | val | the float value to add.

Definition at line 96 of file simple_buffer_visualizer.h.

## displayValues()

void pcl::visualization::PCLSimpleBufferVisualizer::displayValues | ( | const int | time = `1` | ) |

inline

force display of values.

Parameters

  [in] | time | - How long (in ms) should the visualization loop be allowed to run

Definition at line 61 of file simple_buffer_visualizer.h.

## setAutomaticBackgroundColorControl()

void pcl::visualization::PCLSimpleBufferVisualizer::setAutomaticBackgroundColorControl | ( | const bool | value = `true`,
|  | const float | threshold = `0.0f`
| ) |  |

inline

set background color handling mode.

Note
  The point here is to change the background to orange when the latest value is under a threshold.

Parameters

  [in] | value | if true, automatic mode is enabled. Else, background will be white
  [in] | threshold | value that triggers the background to turn orange if the latest value is lower

Note
  This functionality does not work yet at time of commit (see http://dev.pointclouds.org/issues/829)

Definition at line 135 of file simple_buffer_visualizer.h.

## setManuallyManageYScale()

void pcl::visualization::PCLSimpleBufferVisualizer::setManuallyManageYScale | ( | const bool | value = `false` | ) |

inline

set Y scale policy.

Note
  If set to true, the minimal and maximal Y values are kept forever.
  If set to false, the Y scale is automatically adjusted to the current values (default).

Parameters

  [in] | value | boolean that enable or disable this policy

Definition at line 152 of file simple_buffer_visualizer.h.

## spin()

void pcl::visualization::PCLSimpleBufferVisualizer::spin | ( |  | ) |

inline

spin method.

Definition at line 123 of file simple_buffer_visualizer.h.

## spinOnce()

void pcl::visualization::PCLSimpleBufferVisualizer::spinOnce | ( | const int | time = `1` | ) |

inline

spinOnce method.

Parameters

  [in] | time | - How long (in ms) should the visualization loop be allowed to run

Definition at line 116 of file simple_buffer_visualizer.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/visualization/include/pcl/visualization/simple_buffer_visualizer.h